CRMchat APIBeta
Telegram APIMessages

messages.getSearchResultsPositions

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getSearchResultsPositions

Returns sparse positions of messages of the specified type in the chat to be used for shared media scroll implementation. Returns the results in reverse chronological order (i.e., in order of decreasing message_id).

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Returns sparse positions of messages of the specified type in the chat to be used for shared media scroll implementation. Returns the results in reverse chronological order (i.e., in order of decreasing message_id).

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getSearchResultsPositions" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      },      "filter": {        "_": "inputMessagesFilterEmpty"      },      "offsetId": 0,      "limit": 0    }  }'
{  "result": {    "_": "messages.searchResultsPositions",    "count": 0,    "positions": [      {        "_": "searchResultPosition",        "msgId": 0,        "date": 0,        "offset": 0      }    ]  }}